# DataExchange
TKXSBase
StepData

# StepData_FileRecognizer Class Reference

`#include <StepData_FileRecognizer.hxx>`

Inheritance diagram for StepData_FileRecognizer:

[legend]

## Public Member Functions

Standard_EXPORT Standard_Boolean | Evaluate (const TCollection_AsciiString &akey, Handle(Standard_Transient)&res)
Standard_EXPORT Handle_Standard_Transient | Result () const
Standard_EXPORT void | Add (const Handle(StepData_FileRecognizer)&reco)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | StepData_FileRecognizer ()
Standard_EXPORT void | SetOK (const Handle(Standard_Transient)&aresult)
Standard_EXPORT void | SetKO ()
virtual Standard_EXPORT void | Eval (const TCollection_AsciiString &akey)=0

## Private Attributes

Handle_Standard_Transient | theres
Standard_Boolean | hasnext
Handle_StepData_FileRecognizer | thenext

## Constructor & Destructor Documentation

Standard_EXPORT StepData_FileRecognizer::StepData_FileRecognizer | ( |  | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT void StepData_FileRecognizer::Add | ( | const Handle(StepData_FileRecognizer)& | reco | ) |

virtual Standard_EXPORT void StepData_FileRecognizer::Eval | ( | const TCollection_AsciiString & | akey | ) | `[protected, pure virtual]`

| Implemented in HeaderSection_HeaderRecognizer.

Standard_EXPORT Standard_Boolean StepData_FileRecognizer::Evaluate | ( | const TCollection_AsciiString & | akey,
|  | Handle(Standard_Transient)& | res
| ) |

Standard_EXPORT const StepData_FileRecognizer::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in HeaderSection_HeaderRecognizer.

Standard_EXPORT Handle_Standard_Transient StepData_FileRecognizer::Result | ( |  | ) | const

Standard_EXPORT void StepData_FileRecognizer::SetKO | ( |  | ) | `[protected]`

Standard_EXPORT void StepData_FileRecognizer::SetOK | ( | const Handle(Standard_Transient)& | aresult | ) | `[protected]`

## Field Documentation

Standard_Boolean StepData_FileRecognizer::hasnext `[private]`

Handle_StepData_FileRecognizer StepData_FileRecognizer::thenext `[private]`

Handle_Standard_Transient StepData_FileRecognizer::theres `[private]`

The documentation for this class was generated from the following file:

- StepData_FileRecognizer.hxx